org.apache.ignite.streamer.router

## Interface StreamerCacheAffinityEventRouter.CacheAffinityEvent

Enclosing class:
  StreamerCacheAffinityEventRouter

    public static interface StreamerCacheAffinityEventRouter.CacheAffinityEvent

All events that implement this interface will be routed based on key affinity.

### Method Summary

Methods
`Object` `affinityKey()`
`String` `cacheName()`

### Method Detail

#### affinityKey

    Object affinityKey()

Returns:
  Affinity route key for the event.

#### cacheName

    @Nullable
    String cacheName()

Returns:
  Cache name, if `null`, the default cache is used.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015